AIO_RETURN(3)

NAME
aio_return - get return status of asynchronous I/O operation

SYNOPSIS
#include <aio.h>

ssize_t aio_return(struct aiocb *aiocbp);

Link with -lrt.

DESCRIPTION
The aio_return() function returns the final return status for the asynchronous I/O request with control block pointed to by aiocbp.

This function should be called only once for any given request, after aio_error(3) returns something other than EINPROGRESS.

RETURN VALUE
If the asynchronous I/O operation has completed, this function returns the value that would have been returned in case of a synchronous read, write, or fsync request. Otherwise the return value is undefined. On error, the error value is returned.

ERRORS

EINVAL
    aiocbp does not point at a control block for an asynchronous I/O request of which the return status has not been retrieved yet.

CONFORMING TO
POSIX.1-2001.

SEE ALSO
aio_cancel(3), aio_error(3), aio_fsync(3), aio_read(3), aio_suspend(3), aio_write(3)

COLOPHON
This page is part of release 3.19 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.